# tool aliases
function irc
  mosh -p 60561:60565 arsenalgear -- tmux attach -t irc
end

function last_history_item
  echo $history[1]
end
abbr -a !! --position anywhere --function last_history_item

function htop
  /usr/bin/btop
end

function vim
  /usr/bin/nvim $argv
end

function vim
  /usr/bin/nvim $argv
end

function pass --wraps gopass
  gopass $argv
end

# *ctl aliases
function sc --wraps "sudo systemctl"
  sudo systemctl $argv
end

function scu --wraps "systemctl --user"
  systemctl --user $argv
end

# ansible related aliases
function anp
  ansible-playbook
end

function anv
  ansible-vault
end
